struct nodeinfo
{
    int mic_nodeid;
    int mic_nodeid_x_up;
    int mic_nodeid_y_up;
    int mic_nodeid_z_up;
    int mic_nodeid_x_dn;
    int mic_nodeid_y_dn;
    int mic_nodeid_z_dn;
    int mic_nodeid_x;
    int mic_nodeid_y;
    int mic_nodeid_z;
    int mic_ipeo;
};
struct cmic_solver {
    float kappa;
    int ieo;
    nodeinfo ni;
    const mic_gvf_soa *u;
    const mic_ras_gvf_soa *u_ras;
    const mic_clvf *fclinv;
    const mic_ras_clvf *fclinv_ras;
};

extern "C" __declspec(target(mic)) int mic_nodeid_x;
extern "C" __declspec(target(mic)) int mic_nodeid_y;
extern "C" __declspec(target(mic)) int mic_nodeid_z;
extern "C" __declspec(target(mic)) int mic_nodeid_x_up;
extern "C" __declspec(target(mic)) int mic_nodeid_y_up;
extern "C" __declspec(target(mic)) int mic_nodeid_z_up;
extern "C" __declspec(target(mic)) int mic_nodeid_x_dn;
extern "C" __declspec(target(mic)) int mic_nodeid_y_dn;
extern "C" __declspec(target(mic)) int mic_nodeid_z_dn;
extern "C" __declspec(target(mic)) int mic_ipdeo;
extern "C" __declspec(target(mic)) int mic_nodeid;
extern "C" __declspec(target(mic)) int mic_ipeo;
