#ifndef _MIC_OFFLOAD_SOLVER_CLASS_H
#define _MIC_OFFLOAD_SOLVER_CLASS_H

///////////////////////////////////////////////////////
// Offload solver data structure
// The contents must be located in the MIC side
///////////////////////////////////////////////////////
struct host_ras_solver {
    float kappa;
    int ieo;
    mic_nodeinfo     ni;
    const mic_gvf_soa     *u;
    const mic_ras_gvf_soa *u_ras;
    const mic_clvf        *fclinv;
    const mic_ras_clvf    *fclinv_ras;
};
#endif
