#$Id: make.inc,v 1.2 2012/12/24 02:37:58 ishikawa Exp $

REVISION = -D_REVISION_='"$(shell cat ./.svnrevision)"'
#REVISION = -D_REVISION_="'REVLFM'"

#
# specify Fortran90 MPI compiler FC, compile options FFLAGS and linker options LDFLAGS
#

############################
# COMA HOST/MIC
############################
# example: Intel fortran, OpenMP enabled.

# coma path to tbb lib
MIC_TBBLIB_PATH = /app/intel/composer_xe_2015.3.187/tbb/lib/mic
MIC_TBBLIB_PATH = /app/intel/composer_xe_2015.5.223/tbb/lib/mic/

AR =  xiar
MPIROOT = 

CC      = mpiicpc  $(DEBUG)
FC      = mpiifort $(DEBUG)
#DEBUG = -g -traceback -debug all
#DEBUG = -g -traceback -check all
DEBUG = -g -traceback -D_DEBUG -D_DEBUG_

#DEBUG = -g -check_mpi -traceback 
#DEBUG = -g -check_mpi -traceback  -check  all -debug all -fpe0


ARCH    = -qno-offload
ARCHOPT = -align array64byte

FFLAGS  = -Ofast $(ARCH) $(ARCHOPT) -align all -qopenmp -complex-limited-range -finline-limit=10000 -mkl
CFLAGS  = -Ofast $(ARCH)            -align     -qopenmp -complex-limited-range -finline-limit=10000 -mkl
LDFLAGS = -qopenmp -lstdc++

LIBS = -lscif

INCLUDE = -I./ -I./$(MICDIR)


RM	= /bin/rm -f
MV	= /bin/mv

.F90.o :

%.mod : %.F90
	$(FC) $(FFLAGS) $(REVISION) $(INCLUDE) -c $<

%.o : %.F90
	$(FC) $(FFLAGS) $(REVISION) $(INCLUDE) -c $<
